from .suggestions import Suggestions, approve_context, deny_context


async def setup(bot):
    await bot.add_cog(Suggestions(bot))
    bot.tree.add_command(approve_context)
    bot.tree.add_command(deny_context)

async def teardown(bot):
    # We're removing the commands here to ensure they get unloaded properly when the cog is unloaded.
    bot.tree.remove_command("approve_context", type=discord.AppCommandType.message) # pylint: disable=undefined-variable
    bot.tree.remove_command("deny_context", type=discord.AppCommandType.message) # pylint: disable=undefined-variable
